<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<title>The tgwf XML schema</title>
<meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
<link href="http://purl.org/dc/elements/1.1/" rel="schema.DC" />
<meta content="Martin Haase / DAASI International" name="DC.creator" />
<meta content="2009-07-22T16:29:08.37" name="DC.date" />
<link rel="stylesheet" href="../help.css" charset="utf-8"
	type="text/css" />
</head>

<body>
<h1 id="toc0">The <I>tgwf </I>XML schema</h1>
<P>The <I>tgwf </I>schema is designed both to simplify the task of
workflow authors not having to know the semantics of GridWorkflowDL
or Petri Nets, which is far more complex, and to account for some
specific requirements TextGrid workflows have. It will be transferred
automatically by an XSLT stylesheet to GridWorkflowDL (see below).</P>
<P>In the following, we just reproduce the schema here (it has some
documentation inline), and show an example tgwf document afterwards.</P>
<H3>tgwf.xsd XML schema</H3>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;?</FONT><FONT COLOR="#3f7f7f">xml
</FONT><FONT COLOR="#7f007f">version</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;1.0&quot;
</FONT><FONT COLOR="#7f007f">encoding</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;UTF-8&quot;</FONT><FONT COLOR="#008080">?&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:schema
</FONT><FONT COLOR="#7f007f">xmlns:xs</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;http://www.w3.org/2001/XMLSchema&quot;
</FONT><FONT COLOR="#7f007f">elementFormDefault</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;qualified&quot;
</FONT><FONT COLOR="#7f007f">xmlns:tgwf</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;http://textgrid.info/namespaces/middleware/workflow&quot;
</FONT><FONT COLOR="#7f007f">targetNamespace</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;http://textgrid.info/namespaces/middleware/workflow&quot;</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:annotation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:documentation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">Defines
a simplified Workflow document in TextGrid. A tgwf</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">document
written by the user will be completed by the</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">TextGridLab
Workflow component, then xsl-transformed into a</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">GridWorkflowDL
document which can processed by the GWES Workflow</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">Engine.</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:documentation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:annotation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><BR/>
</P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:element
</FONT><FONT COLOR="#7f007f">name</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;tgwf&quot;</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:complexType</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:sequence</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:element
</FONT><FONT COLOR="#7f007f">ref</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;tgwf:description&quot;</FONT><FONT COLOR="#008080">/&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:element
</FONT><FONT COLOR="#7f007f">ref</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;tgwf:activities&quot;</FONT><FONT COLOR="#008080">/&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:element
</FONT><FONT COLOR="#7f007f">ref</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;tgwf:datalinks&quot;</FONT><FONT COLOR="#008080">/&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:element
</FONT><FONT COLOR="#7f007f">ref</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;tgwf:CRUD&quot;</FONT><FONT COLOR="#008080">/&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:element
</FONT><FONT COLOR="#7f007f">ref</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;tgwf:batchinput&quot;</FONT><FONT COLOR="#008080">/&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:element
</FONT><FONT COLOR="#7f007f">ref</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;tgwf:metadatatransformation&quot;</FONT><FONT COLOR="#008080">/&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:element
</FONT><FONT COLOR="#7f007f">ref</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;tgwf:inputconstants&quot;</FONT><FONT COLOR="#008080">/&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:sequence</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:attribute
</FONT><FONT COLOR="#7f007f">name</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;version&quot;
</FONT><FONT COLOR="#7f007f">use</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;required&quot;
</FONT><FONT COLOR="#7f007f">type</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;xs:decimal&quot;
</FONT><FONT COLOR="#7f007f">fixed</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;0.5&quot;</FONT><FONT COLOR="#008080">/&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:complexType</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:element</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:element
</FONT><FONT COLOR="#7f007f">name</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;description&quot;
</FONT><FONT COLOR="#7f007f">type</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;xs:string&quot;</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:annotation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:documentation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">Description
will not be processed and is solely for the</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">writer.
The title of the workflow will be taken from the title</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">of
the TextGridObject holding this tgwf document.</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:documentation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:annotation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:element</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:element
</FONT><FONT COLOR="#7f007f">name</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;activities&quot;</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:complexType</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:sequence</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:element
</FONT><FONT COLOR="#7f007f">maxOccurs</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;unbounded&quot;
</FONT><FONT COLOR="#7f007f">minOccurs</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;0&quot;
</FONT><FONT COLOR="#7f007f">ref</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;tgwf:service&quot;</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:element</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:sequence</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:complexType</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:element</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:element
</FONT><FONT COLOR="#7f007f">name</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;service&quot;</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:annotation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:documentation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">The
services proper that will process the _contents_ of the</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">TGOs.
All data is transferred SOAP-inline, base64-encoded, so</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">the
services will have to be compatible. CRUDread and</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">CRUDcreate
for Grid access and StreamingEditor for metadata</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">transformation
will be inserted automatically.</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:documentation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:annotation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:complexType</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:attribute
</FONT><FONT COLOR="#7f007f">name</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;description&quot;
</FONT><FONT COLOR="#7f007f">use</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;required&quot;</FONT><FONT COLOR="#008080">/&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:attribute
</FONT><FONT COLOR="#7f007f">name</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;name&quot;
</FONT><FONT COLOR="#7f007f">use</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;required&quot;
</FONT><FONT COLOR="#7f007f">type</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;xs:NCName&quot;</FONT><FONT COLOR="#008080">&gt;</FONT><FONT COLOR="#000000">
</FONT></FONT></FONT>
</P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:annotation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:documentation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">name
for visualisation of workflow</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:documentation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:annotation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:attribute</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:attribute
</FONT><FONT COLOR="#7f007f">name</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;operation&quot;
</FONT><FONT COLOR="#7f007f">use</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;required&quot;
</FONT><FONT COLOR="#7f007f">type</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;xs:anyURI&quot;</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:annotation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:documentation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">the
operation to be invoked from this wsdl</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:documentation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:annotation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:attribute</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:attribute
</FONT><FONT COLOR="#7f007f">name</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;serviceID&quot;
</FONT><FONT COLOR="#7f007f">use</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;required&quot;
</FONT><FONT COLOR="#7f007f">type</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;xs:NCName&quot;</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:annotation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:documentation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">this
ID will be used throughout this tgwf document to</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">refer
to this service</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:documentation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:annotation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:attribute</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:attribute
</FONT><FONT COLOR="#7f007f">name</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;targetNamespace&quot;
</FONT><FONT COLOR="#7f007f">use</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;required&quot;
</FONT><FONT COLOR="#7f007f">type</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;xs:anyURI&quot;</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:annotation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:documentation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">If
the WSDL specifies a targetNamespace, its value can be</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">given
here.</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:documentation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:annotation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:attribute</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:attribute
</FONT><FONT COLOR="#7f007f">name</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;usetns&quot;
</FONT><FONT COLOR="#7f007f">type</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;xs:boolean&quot;</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:annotation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:documentation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">set
to true to tell the Workflow Engine that the message</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">parameters
should be prepended the targetNamespace</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">given.
Hint: set to true if the schema definition part in</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">the
WSDL has elementFormDefault=&quot;qualified&quot;. If you</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">interact
with a Web Service written in a</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">namespace-ignorant
language (such as PHP, Python, Perl, or</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">Tcl),
usetns will perhaps better be false.</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:documentation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:annotation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:attribute</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:attribute
</FONT><FONT COLOR="#7f007f">name</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;wsdlLocation&quot;
</FONT><FONT COLOR="#7f007f">use</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;required&quot;
</FONT><FONT COLOR="#7f007f">type</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;xs:anyURI&quot;</FONT><FONT COLOR="#008080">/&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:complexType</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:element</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:element
</FONT><FONT COLOR="#7f007f">name</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;datalinks&quot;</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:annotation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:documentation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">Determine
how data flows from one service to another,</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">i.e.
which output parameter in fromService yields the data and</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">which
input parameter in toService will receive them. Use</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">crud/batchinput
for fromServiceID/fromParam when the link</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">should
lead to toServices that should receive the data as read</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">from
the Grid. Similarly, the fromService that will serve the</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">final
data must have a link to crud/batchoutput. Cave:</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">consistency
checks will not be made yet, so possibly the</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">workflow
might fail or loop.</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:documentation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:annotation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:complexType</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:sequence</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:element
</FONT><FONT COLOR="#7f007f">maxOccurs</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;unbounded&quot;
</FONT><FONT COLOR="#7f007f">minOccurs</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;1&quot;
</FONT><FONT COLOR="#7f007f">ref</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;tgwf:link&quot;</FONT><FONT COLOR="#008080">/&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:sequence</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:complexType</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:element</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:element
</FONT><FONT COLOR="#7f007f">name</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;link&quot;</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:complexType</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:attribute
</FONT><FONT COLOR="#7f007f">name</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;linkID&quot;
</FONT><FONT COLOR="#7f007f">use</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;required&quot;
</FONT><FONT COLOR="#7f007f">type</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;xs:NCName&quot;</FONT><FONT COLOR="#008080">/&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:attribute
</FONT><FONT COLOR="#7f007f">name</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;fromServiceID&quot;
</FONT><FONT COLOR="#7f007f">use</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;required&quot;
</FONT><FONT COLOR="#7f007f">type</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;xs:NCName&quot;</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:annotation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:documentation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">the
ServiceID as specified in the activities element for</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">the
service that yields data</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:documentation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:annotation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:attribute</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:attribute
</FONT><FONT COLOR="#7f007f">name</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;fromParam&quot;
</FONT><FONT COLOR="#7f007f">use</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;required&quot;
</FONT><FONT COLOR="#7f007f">type</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;xs:NCName&quot;</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:annotation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:documentation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">the
output parameter of the fromServiceID which serves the</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">data
for this link</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:documentation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:annotation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:attribute</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:attribute
</FONT><FONT COLOR="#7f007f">name</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;toServiceID&quot;
</FONT><FONT COLOR="#7f007f">use</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;required&quot;
</FONT><FONT COLOR="#7f007f">type</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;xs:NCName&quot;</FONT><FONT COLOR="#008080">&gt;</FONT><FONT COLOR="#000000">
</FONT></FONT></FONT>
</P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:annotation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:documentation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">the
ServiceID as specified in the activities element, of</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">the
service that receives the data</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:documentation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:annotation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:attribute</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:attribute
</FONT><FONT COLOR="#7f007f">name</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;toParam&quot;
</FONT><FONT COLOR="#7f007f">use</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;required&quot;
</FONT><FONT COLOR="#7f007f">type</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;xs:NCName&quot;</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:annotation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:documentation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">the
input parameter of the toServiceID which accepts</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">the
data for this link</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:documentation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:annotation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:attribute</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:complexType</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:element</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:element
</FONT><FONT COLOR="#7f007f">name</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;CRUD&quot;</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:annotation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:documentation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">attribute
values to be filled in automatically by the TextGridLab</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:documentation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:annotation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:complexType</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:attribute
</FONT><FONT COLOR="#7f007f">name</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;instance&quot;
</FONT><FONT COLOR="#7f007f">use</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;required&quot;
</FONT><FONT COLOR="#7f007f">type</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;xs:string&quot;</FONT><FONT COLOR="#008080">/&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:attribute
</FONT><FONT COLOR="#7f007f">name</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;logParameter&quot;
</FONT><FONT COLOR="#7f007f">use</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;required&quot;
</FONT><FONT COLOR="#7f007f">type</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;xs:string&quot;</FONT><FONT COLOR="#008080">/&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:attribute
</FONT><FONT COLOR="#7f007f">name</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;sessionID&quot;
</FONT><FONT COLOR="#7f007f">use</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;required&quot;
</FONT><FONT COLOR="#7f007f">type</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;xs:string&quot;</FONT><FONT COLOR="#008080">/&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:complexType</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:element</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:element
</FONT><FONT COLOR="#7f007f">name</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;batchinput&quot;</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:annotation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:documentation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">input
TextGridObject's URIs, to be filled in automatically by</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">the
TextGridLab</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:documentation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:annotation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:complexType</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:sequence</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:element
</FONT><FONT COLOR="#7f007f">ref</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;tgwf:URI&quot;
</FONT><FONT COLOR="#7f007f">maxOccurs</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;unbounded&quot;
</FONT><FONT COLOR="#7f007f">minOccurs</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;0&quot;</FONT><FONT COLOR="#008080">/&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:sequence</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:complexType</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:element</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:element
</FONT><FONT COLOR="#7f007f">name</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;URI&quot;
</FONT><FONT COLOR="#7f007f">type</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;xs:anyURI&quot;</FONT><FONT COLOR="#008080">/&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:element
</FONT><FONT COLOR="#7f007f">name</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;metadatatransformation&quot;</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:annotation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:documentation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">This
contains the XSL stylesheet for rule-based transformation</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">of
the metadata, e.g. setting a new ProjectID, appending text</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">to
the title, or adding an editor. Please consult an example</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">stylesheet
for the current TextGridMetadata if you plan to</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">write
a new one. </FONT></FONT></FONT>
</P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:documentation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:annotation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:complexType
</FONT><FONT COLOR="#7f007f">mixed</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;true&quot;</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:sequence</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:any
</FONT><FONT COLOR="#7f007f">processContents</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;lax&quot;
</FONT><FONT COLOR="#7f007f">minOccurs</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;0&quot;
</FONT><FONT COLOR="#7f007f">maxOccurs</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;unbounded&quot;</FONT><FONT COLOR="#008080">/&gt;</FONT><FONT COLOR="#000000">
</FONT></FONT></FONT>
</P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:sequence</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:complexType</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:element</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:element
</FONT><FONT COLOR="#7f007f">name</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;inputconstants&quot;</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:annotation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:documentation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">configuration
parameters for the services used in this</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">workflow</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:documentation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:annotation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:complexType</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:sequence</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:element
</FONT><FONT COLOR="#7f007f">maxOccurs</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;unbounded&quot;
</FONT><FONT COLOR="#7f007f">minOccurs</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;0&quot;
</FONT><FONT COLOR="#7f007f">ref</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;tgwf:activity&quot;</FONT><FONT COLOR="#008080">/&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:sequence</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:complexType</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:element</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:element
</FONT><FONT COLOR="#7f007f">name</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;activity&quot;</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:complexType</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:sequence</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:element
</FONT><FONT COLOR="#7f007f">ref</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;tgwf:const&quot;
</FONT><FONT COLOR="#7f007f">maxOccurs</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;unbounded&quot;
</FONT><FONT COLOR="#7f007f">minOccurs</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;1&quot;
</FONT><FONT COLOR="#008080">/&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:sequence</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:attribute
</FONT><FONT COLOR="#7f007f">name</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;serviceID&quot;
</FONT><FONT COLOR="#7f007f">use</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;required&quot;
</FONT><FONT COLOR="#7f007f">type</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;xs:NCName&quot;</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:annotation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:documentation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">the
ServiceID as specified in the activities element</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:documentation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:annotation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:attribute</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:complexType</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:element</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:element
</FONT><FONT COLOR="#7f007f">name</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;const&quot;</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:complexType
</FONT><FONT COLOR="#7f007f">mixed</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;true&quot;</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:sequence</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:any
</FONT><FONT COLOR="#7f007f">processContents</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;lax&quot;
</FONT><FONT COLOR="#7f007f">minOccurs</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;0&quot;
</FONT><FONT COLOR="#7f007f">maxOccurs</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;unbounded&quot;</FONT><FONT COLOR="#008080">/&gt;</FONT><FONT COLOR="#000000">
</FONT></FONT></FONT>
</P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:sequence</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:attribute
</FONT><FONT COLOR="#7f007f">name</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;name&quot;
</FONT><FONT COLOR="#7f007f">use</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;required&quot;
</FONT><FONT COLOR="#7f007f">type</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;xs:NCName&quot;</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:annotation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:documentation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">the
name of this input parameter</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:documentation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:annotation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:attribute</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:attribute
</FONT><FONT COLOR="#7f007f">name</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;needsB64encoding&quot;
</FONT><FONT COLOR="#7f007f">type</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;xs:boolean&quot;</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:annotation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xs:documentation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">set
to true if this parameter, as the content data, has</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4">to
be encoded in Base64 for the service</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:documentation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:annotation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:attribute</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:complexType</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4"><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">xs:element</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#008080"><FONT FACE="Monospace"><FONT SIZE="4">&lt;/</FONT></FONT></FONT><FONT COLOR="#3f7f7f"><FONT FACE="Monospace"><FONT SIZE="4">xs:schema</FONT></FONT></FONT><FONT COLOR="#008080"><FONT FACE="Monospace"><FONT SIZE="4">&gt;</FONT></FONT></FONT></P>
<H3>Example <I>tgwf</I> document</H3>
<P>This document defines a two-service pipe: TextGridObjects are
being sent to the TextGrid Tokenizer, then to the Lemmatizer, then
resulting TextGridObjects are being created. See figure XXX for a
graphical representation of this workflow in GridWorkflowDL.</P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4" ><FONT COLOR="#008080">&lt;?</FONT><FONT COLOR="#3f7f7f">xml
</FONT><FONT COLOR="#7f007f">version</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;1.0&quot;
</FONT><FONT COLOR="#7f007f">encoding</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;UTF-8&quot;</FONT><FONT COLOR="#008080">?&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4" ><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">tgwf:tgwf
</FONT><FONT COLOR="#7f007f">xmlns:tgwf</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;http://textgrid.info/namespaces/middleware/workflow&quot;
</FONT><FONT COLOR="#7f007f">version</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;0.5&quot;</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4" ><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">tgwf:description</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT COLOR="#000000"><FONT FACE="Monospace"><FONT SIZE="4" >Lemmatizer
Workflow with prepended Tokenizer </FONT></FONT></FONT>
</P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4" ><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">tgwf:description</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4" ><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">tgwf:activities</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4" ><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">tgwf:service
</FONT><FONT COLOR="#7f007f">description</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;TextGrid
Tokenizer&quot; </FONT></FONT></FONT>
</P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4" ><FONT COLOR="#7f007f">name</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;Tokenizer&quot;
</FONT></FONT></FONT>
</P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4" ><FONT COLOR="#7f007f">operation</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;Tokenizer64&quot;
</FONT></FONT></FONT>
</P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4" ><FONT COLOR="#7f007f">serviceID</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;tok&quot;
</FONT></FONT></FONT>
</P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4" ><FONT COLOR="#7f007f">targetNamespace</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;http://namespaces.textgrid.de/&quot;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4" ><FONT COLOR="#7f007f">wsdlLocation</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;http://ingrid.sub.uni-goettingen.de/Tokenizer.wsdl&quot;</FONT><FONT COLOR="#008080">/&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4" ><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">tgwf:service
</FONT><FONT COLOR="#7f007f">operation</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;LemmatizerTEIBatch64&quot;
</FONT></FONT></FONT>
</P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4" ><FONT COLOR="#7f007f">wsdlLocation</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;http://ingrid.sub.uni-goettingen.de/lemmatizer_doc.wsdl&quot;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4" ><FONT COLOR="#7f007f">name</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;Lemmatizer&quot;
</FONT></FONT></FONT>
</P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4" ><FONT COLOR="#7f007f">description</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;The
TextGrid New German Lemmatizer&quot;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4" ><FONT COLOR="#7f007f">serviceID</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;lem&quot;
</FONT></FONT></FONT>
</P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4" ><FONT COLOR="#7f007f">targetNamespace</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;http://namespaces.textgrid.de/&quot;</FONT><FONT COLOR="#008080">/&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4" ><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">tgwf:activities</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4" ><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">tgwf:datalinks</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4" ><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">tgwf:link
</FONT><FONT COLOR="#7f007f">linkID</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;read&quot;
</FONT><FONT COLOR="#7f007f">fromServiceID</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;crud&quot;
</FONT><FONT COLOR="#7f007f">fromParam</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;batchinput&quot;
</FONT></FONT></FONT>
</P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4" ><FONT COLOR="#7f007f">toServiceID</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;tok&quot;
</FONT><FONT COLOR="#7f007f">toParam</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;indata&quot;</FONT><FONT COLOR="#008080">/&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4" ><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">tgwf:link
</FONT><FONT COLOR="#7f007f">linkID</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;Tok2Lem&quot;
</FONT><FONT COLOR="#7f007f">fromServiceID</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;tok&quot;
</FONT><FONT COLOR="#7f007f">fromParam</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;outdata&quot;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4" ><FONT COLOR="#7f007f">toServiceID</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;lem&quot;
</FONT><FONT COLOR="#7f007f">toParam</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;infile&quot;
</FONT><FONT COLOR="#008080">/&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4" ><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">tgwf:link
</FONT><FONT COLOR="#7f007f">linkID</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;write&quot;
</FONT><FONT COLOR="#7f007f">fromServiceID</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;lem&quot;
</FONT><FONT COLOR="#7f007f">fromParam</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;outfile&quot;
</FONT></FONT></FONT>
</P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4" ><FONT COLOR="#7f007f">toServiceID</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;crud&quot;
</FONT><FONT COLOR="#7f007f">toParam</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;batchoutput&quot;</FONT><FONT COLOR="#008080">/&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4" ><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">tgwf:datalinks</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4" ><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">tgwf:CRUD
</FONT><FONT COLOR="#7f007f">instance</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;inserted
automatically&quot; </FONT></FONT></FONT>
</P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4" ><FONT COLOR="#7f007f">sessionID</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;inserted
automatically&quot; </FONT></FONT></FONT>
</P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4" ><FONT COLOR="#7f007f">logParameter</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;inserted
automatically&quot;</FONT><FONT COLOR="#008080">/&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4" ><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">tgwf:batchinput</FONT><FONT COLOR="#008080">/&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4" ><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">tgwf:metadatatransformation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4" ><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">xsl:transform</FONT><FONT COLOR="#008080">&gt;
... &lt;/</FONT><FONT COLOR="#3f7f7f">xsl:transform</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4" ><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">tgwf:metadatatransformation</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4" ><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">tgwf:inputconstants</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4" ><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">tgwf:activity
</FONT><FONT COLOR="#7f007f">serviceID</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;tok&quot;</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4" ><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">tgwf:const
</FONT><FONT COLOR="#7f007f">name</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;config&quot;
</FONT><FONT COLOR="#7f007f">needsB64encoding</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;true&quot;</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4" ><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">TokenizerConfig</FONT><FONT COLOR="#008080">&gt;...&lt;/</FONT><FONT COLOR="#3f7f7f">TokenizerConfig</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4" ><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">tgwf:const</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4" ><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">tgwf:activity</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4" ><FONT COLOR="#008080">&lt;</FONT><FONT COLOR="#3f7f7f">tgwf:activity
</FONT><FONT COLOR="#7f007f">serviceID</FONT><FONT COLOR="#000000">=</FONT><FONT COLOR="#2a00ff">&quot;lem&quot;</FONT><FONT COLOR="#008080">&gt;</FONT><FONT COLOR="#000000">...</FONT><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">tgwf:activity</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4" ><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">tgwf:inputconstants</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>
<P ALIGN="LEFT" STYLE="margin-bottom: 0cm"><FONT FACE="Monospace"><FONT SIZE="4" ><FONT COLOR="#008080">&lt;/</FONT><FONT COLOR="#3f7f7f">tgwf:tgwf</FONT><FONT COLOR="#008080">&gt;</FONT></FONT></FONT></P>

</body>
</html>